Ошибка завышения на единицу в GNU MPFR

Дата публикации:
05.03.2009
Дата изменения:
05.03.2009
Всего просмотров:
1661
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU MPFR 2.x
Уязвимые версии: GNU MPFR версии до 2.4.1

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки завышения на единицу в реализации функций "mpfr_snprintf()" и "mpfr_vsnprintf()". Злоумышленник может записать NULL байт после ожидаемого окончания буфера и выполнить произвольный код на целевой системе.

URL производителя: mpfr.loria.fr

Решение: Установите последнюю версию 2.4.1 с сайта производителя.

Ссылки: http://mpfr.loria.fr/mpfr-2.4.1/index.html#changes

или введите имя

CAPTCHA